generator:
  class:              sfPropelAdminGenerator
  param:
    model_class:      EspecialistaEmpresa
    theme:            bootstrap
    css:              sf_admin/main.css 

    fields:
      especialista: { name: Especialista }
      empresa: { name: Empresa }
      porciento_pago: { name: % de pago }
      #escala_pago: { name: Escala de Pago }

    list:
      title: Lista de Trabajadores por departamento
      display: [especialista, empresa, porciento_pago, aplicar_escala_str]
      fields: 
        especialista: {name: Especialista}
        empresa: {name: Empresa}
        porciento_pago: {name: % de pago}
        escala_pago: {name: Escala de Pago}
      sort: empresa_id
      actions:  {}
      #peer_method: doSelectCustom
      object_actions: 
        _edit: {name: Editar}
        #_delete: {name: Eliminar}

    edit:
      title: Editando porciento de pago del Trabajador "%%especialista%%"
      fields: 
        especialista: { params: disabled=true }
        empresa: { params: disabled=true }
        porciento_pago: { name: % de pago, params: class= "form-control"}
        escala_pago: { name: Aplicar escala, params: class= "form-control", type: checkbox_tag }
      display:
        "Datos especialista": [especialista, empresa]
        "Porciento de pago 0 - Porciento general, limite 100": [porciento_pago]
        "Aplicar escala": [escala_pago]
      actions:
        _list: {name: Volver al listado}
        _save: {name: Salvar % del Trabajador}
        #_save_and_add: {name: Salvar y agregar otro Trabajador}
        #_delete: {name: Eliminar}

